summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/arequal/arequal_run.sh
diff options
context:
space:
mode:
authorAmar Tumballi <amarts@redhat.com>2012-02-18 10:41:37 -0800
committerGerrit Code Review <root@dev.gluster.com>2012-02-18 10:41:37 -0800
commit58c7ab800444f2b80039d71509c5dc81a3598ead (patch)
tree4e23efa722b22b286842f4b45da1a8d5011f4a4c /sanity/system_light/scripts/arequal/arequal_run.sh
parent6ed4ac470d7aaddd05ce179bc304ef688f5553aa (diff)
parent9d36eca70a458c736e44fd8eb9184415ec45f1e6 (diff)
Merge "system_light: changes to have modularity in running tests"
Diffstat (limited to 'sanity/system_light/scripts/arequal/arequal_run.sh')
-rwxr-xr-xsanity/system_light/scripts/arequal/arequal_run.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/arequal/arequal_run.sh b/sanity/system_light/scripts/arequal/arequal_run.sh
new file mode 100755
index 0000000..ebf40b7
--- /dev/null
+++ b/sanity/system_light/scripts/arequal/arequal_run.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+function main ()
+{
+ stat $ARE_SRC | grep directory > /dev/null
+ if [ $? -eq 0 ] ; then
+ ARE_SRC=$ARE_SRC/
+ fi
+
+ echo "start:`date +%T`"
+ time arequal-run.sh $ARE_SRC $ARE_DST 2>>$LOG_FILE 1>>$LOG_FILE
+ #copies the contents of $4 directory to $5 and calculates the checksum of both src and dst directories to check whether the transfer was successful. We need to redirect the standard output also to the logfile to see the output of arequal.
+
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ fi
+}
+
+main "$@" \ No newline at end of file